#ifndef IMAGECANVAS_H
#define IMAGECANVAS_H

#include "ui_imagecanvas.h"
#include "qcustomplot.h"
#include <QWidget>

namespace Ui {
class ImageCanvas;
}

class ImageCanvas : public QWidget
{
    Q_OBJECT
public:
    explicit ImageCanvas(QWidget *parent = nullptr);
    ~ImageCanvas();
    void setID(int id_) {id = id_;}
    int getID();
    QCustomPlot* getQCP();
    void setCountsLabel(int counts);
private:
    Ui::ImageCanvas *ui;
    int id;
signals:
    void canvasCleared(int id_);
    void canvasSaved2Image(int id_);
    void canvasSaved2Txt(int id_);
    void canvasZoomedout(int id_);

public slots:
    void handleSave2Txt();
    void handleClear();
    void handleZoomout();
    void handleScreenshot();
};

#endif // IMAGECANVAS_H
