#include "imagecanvas.h"

ImageCanvas::ImageCanvas(QWidget *parent)
    : QWidget(parent),
      ui(new Ui::ImageCanvas)
{
    ui->setupUi(this);
    connect(ui->ClearButton, &QToolButton::clicked, this, &ImageCanvas::handleClear);
    connect(ui->UnZoomButton, &QToolButton::clicked, this, &ImageCanvas::handleZoomout);
    connect(ui->ScreenshotButton, &QToolButton::clicked, this, &ImageCanvas::handleScreenshot);
    connect(ui->SaveButton, &QToolButton::clicked, this, &ImageCanvas::handleSave2Txt);
}

ImageCanvas::~ImageCanvas()
{
    delete ui;
}

int ImageCanvas::getID()
{
    return id;
}
QCustomPlot* ImageCanvas::getQCP()
{
    return ui->canvas;
}

void ImageCanvas::setCountsLabel(int counts)
{
    ui->countsLabel->setText(QString("Total counts: %1").arg(QString::number(counts)));
}
void ImageCanvas::handleSave2Txt()
{
    qDebug() << "save canvas to txt";
    emit canvasSaved2Txt(id);
}
void ImageCanvas::handleClear()
{
    qDebug() << "clear canvas";
    emit canvasCleared(id);
}
void ImageCanvas::handleZoomout()
{
    qDebug() << "zoom out";
    emit canvasZoomedout(id);
}

void ImageCanvas::handleScreenshot()
{
    qDebug() << "save canvas to image";
    emit canvasSaved2Image(id);
}
